<?php

namespace FiloBlu\Flow\Block;

/**
 * Class Product
 * @package FiloBlu\Flow\Block
 */
class Product extends \Magento\Framework\View\Element\Template
{
    /**
     * @var \Magento\Catalog\Model\ProductFactory
     */
    protected $_productloader;

    /**
     * Product constructor.
     * @param \Magento\Catalog\Model\ProductFactory $productfactory
     */
    public function __construct(\Magento\Catalog\Model\ProductFactory $productfactory)
    {
        $this->_productloader = $productfactory;
    }

    /**
     * @param $id
     * @return mixed
     */
    public function getProductLoader($id)
    {
        return $this->_productloader->create()->load($id);
    }
}